unit IWUnit1;
{PUBDIST}

interface

uses
  IWAppForm, IWApplication, IWTypes, Menus, IWTMSMenus, IWTMSCal,
  IWDBTMSCtrls, IWCompEdit, IWTMSCtrls, Classes, Controls, IWControl,
  IWCompCheckbox, IWCompLabel, Graphics, IWCompButton, SysUtils;

type
  TformMain = class(TIWAppForm)
    TIWCalendar1: TTIWCalendar;
    TIWAdvEdit1: TTIWAdvEdit;
    TIWMainMenu1: TTIWMainMenu;
    MainMenu1: TMainMenu;
    File1: TMenuItem;
    Edit1: TMenuItem;
    View1: TMenuItem;
    Open1: TMenuItem;
    Save1: TMenuItem;
    SaveAs1: TMenuItem;
    Cut1: TMenuItem;
    Copy1: TMenuItem;
    Paste1: TMenuItem;
    ZoomIn1: TMenuItem;
    ZoomOut1: TMenuItem;
    IWLabel1: TIWLabel;
    Color1: TMenuItem;
    Yellow1: TMenuItem;
    Green1: TMenuItem;
    Red1: TMenuItem;
    IWLabel2: TIWLabel;
    IWLabel3: TIWLabel;
    TIWAdvEdit2: TTIWAdvEdit;
    IWLabel4: TIWLabel;
    IWLabel5: TIWLabel;
    IWButton1: TIWButton;
    TIWDatePicker1: TTIWDatePicker;
    N1: TMenuItem;
    oday1: TMenuItem;
    TIWClock1: TTIWClock;
    IWLabel6: TIWLabel;
    TIWAdvLUEdit1: TTIWAdvLUEdit;
    Nextday1: TMenuItem;
    Previousday1: TMenuItem;
    IWLabel7: TIWLabel;
    IWLabel8: TIWLabel;
    procedure Yellow1Click(Sender: TObject);
    procedure Green1Click(Sender: TObject);
    procedure Red1Click(Sender: TObject);
    procedure IWButton1Click(Sender: TObject);
    procedure oday1Click(Sender: TObject);
    procedure TIWCalendar1Click(Sender: TObject; ADate: TDateTime);
    procedure Nextday1Click(Sender: TObject);
    procedure Previousday1Click(Sender: TObject);
    procedure TIWCalendar1NextMonth(Sender: TObject; ADate: TDateTime);
    procedure TIWCalendar1PrevMonth(Sender: TObject; ADate: TDateTime);
  public
  end;

implementation
{$R *.dfm}

uses
  ServerController;

procedure TformMain.Yellow1Click(Sender: TObject);
begin
  TIWCalendar1.Color := clYellow;
end;

procedure TformMain.Green1Click(Sender: TObject);
begin
  TIWCalendar1.Color := clLime;
end;

procedure TformMain.Red1Click(Sender: TObject);
begin
  TIWCalendar1.Color := clAqua;
end;

procedure TformMain.IWButton1Click(Sender: TObject);
begin
  TIWCalendar1.Date := TIWDatePicker1.Date;
end;

procedure TformMain.oday1Click(Sender: TObject);
begin
  TIWCalendar1.Date := Now;
  TIWDatePicker1.Date := Now;
end;

procedure TformMain.TIWCalendar1Click(Sender: TObject; ADate: TDateTime);
begin
  TIWDatePicker1.Date := ADate;
  iwlabel8.Caption := 'Date click :'+datetostr(adate);  
end;

procedure TformMain.Nextday1Click(Sender: TObject);
begin
  TIWCalendar1.Date := TIWCalendar1.Date + 1;
end;

procedure TformMain.Previousday1Click(Sender: TObject);
begin
  TIWCalendar1.Date := TIWCalendar1.Date - 1;
end;

procedure TformMain.TIWCalendar1NextMonth(Sender: TObject;
  ADate: TDateTime);
begin
  iwlabel8.Caption := 'Next month :'+datetostr(adate);
end;

procedure TformMain.TIWCalendar1PrevMonth(Sender: TObject;
  ADate: TDateTime);
begin
  iwlabel8.Caption := 'Prev month :'+datetostr(adate);
end;

end.
